Requirements

  • Operating System (OS) 5.0 or above.
    • You can check this going to your phone options and then «About». If you can download the app from AppWorld, you have OS5+.
  • BlackBerry Messenger (BBM) 6.0 or above.
    • To check it, go to BBM, menu, options, menu (yes, again) and finally «About BlackBerry Messenger».
  • AppWorld 3.0 or above for the Premium Version.